summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'sci-biology/meme/meme-3.5.7.ebuild')
-rw-r--r--sci-biology/meme/meme-3.5.7.ebuild37
1 files changed, 20 insertions, 17 deletions
diff --git a/sci-biology/meme/meme-3.5.7.ebuild b/sci-biology/meme/meme-3.5.7.ebuild
index a51a6aa..5a20531 100644
--- a/sci-biology/meme/meme-3.5.7.ebuild
+++ b/sci-biology/meme/meme-3.5.7.ebuild
@@ -1,20 +1,20 @@
# Copyright 1999-2008 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $
-
-inherit autotools eutils toolchain-funcs
+WEBAPP_OPTIONAL="yes"
+inherit autotools eutils toolchain-funcs webapp
DESCRIPTION="The MEME/MAST system - Motif discovery and search"
HOMEPAGE="http://meme.sdsc.edu/meme"
SRC_URI="http://meme.nbcr.net/downloads/${PN}_${PV}.tar.gz"
LICENSE="meme"
-
+WEBAPP_MANUAL_SLOT="yes"
SLOT="0"
KEYWORDS="~x86 ~amd64"
# Other possible USE flags include "debug", "client", "server", "web",
# "queue". Other variables must be set at compile time, but only when
# the Web server is built. Right now, Web server and client are disabled.
-IUSE="mpi"
+IUSE="mpi webapp"
DEPEND=">=dev-lang/perl-5.6.1
mpi? ( virtual/mpi )"
@@ -26,38 +26,41 @@ src_unpack() {
cd "${S}"
epatch "${FILESDIR}/${P}-Makefile.am.patch"
-# epatch "${FILESDIR}/${P}-patch1.patch"
-# epatch "${FILESDIR}/${P}-patch2.patch"
einfo "Regenerating autotools files..."
eautoreconf
}
src_compile() {
- local EXTRA_CONF
- # Build system is too bugy to make the programs use standard locations.
+
+ # Build system is too buggy to make the programs use standard locations.
# Put everything in "/opt" instead.
+
+ local EXTRA_CONF
EXTRA_CONF="${EXTRA_CONF} --prefix=/opt/${PN}"
EXTRA_CONF="${EXTRA_CONF} --with-logs=/var/log/${PN}"
# Connect hyperlinks to official Web site.
EXTRA_CONF="${EXTRA_CONF} --with-url=http://meme.nbcr.net/meme"
- # Disable Web server, client and Web site.
- EXTRA_CONF="${EXTRA_CONF} --disable-server --disable-client --disable-web"
# Parallel implementation
if ! use mpi; then
EXTRA_CONF="${EXTRA_CONF} --enable-serial"
fi
+ if use webapp; then
+ EXTRA_CONF="${EXTRA_CONF} --enable-server --enable-client --enable-web"
+ fi
+
./configure ${EXTRA_CONF} || die "Configure failed."
- CC="$(tc-getCC)" ac_cc_opt="${CFLAGS}" make -e || die "Make failed."
+
+ CC="$(tc-getCC)" ac_cc_opt="${CFLAGS}" emake -e || die "Make failed."
# Install parallel files only on x86, otherwise the install fails with the error:
# i386 architecture of input file `mp.o' is incompatible with i386:x86-64 output
- if [[ "${ARCH}" == "x86" ]] ; then
- if use mpi; then
- cd src/parallel
- make || die "Parallel make failed."
- fi
- fi
+# if [[ "${ARCH}" == "x86" ]] ; then
+# if use mpi; then
+ cd src/parallel
+ CC="$(tc-getCC)" ac_cc_opt="${CFLAGS}" emake || die "Parallel make failed."
+# fi
+# fi
}
src_install() {